n Statement
Prev | Score Statements and GEN Routines | Next

## n Statement

n — Repeats a section.

## Description

Repeats a section from the referenced m statement.

## Syntax

    n p1

## Initialization

p1 -- Name of mark to repeat.

## Performance

This can be helpful in setting a up verse and chorus structure in the score. Names may contain letters and numerals.

For example, the following score:

    m foo
    i1 0 1
    i1 1 1.5
    i1 2.5 2
    s
    i1 0 10
    s
    n foo
    e

Will be passed from the preprocessor to Csound as:

    i1 0 1
    i1 1 1.5
    i1 2.5 2
    s
    i1 0 10
    s
    ;; this is named section repeated
    i1 0 1
    i1 1 1.5
    i1 2.5 2
    s
    ;; end of named section
    e

## Examples

See the example for the m statement.

## See Also

Score Statements

## Credits

Author: John ffitch
University of Bath/Codemist Ltd.
Bath, UK
April 1998

New in Csound version 3.48

Prev | Up | Next
m Statement (Mark Statement) | Home | q Statement